Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1518687

Summary: UI shows all VPCs as inactive under Cloud Networks
Product: Red Hat CloudForms Management Engine Reporter: Ladislav Smola <lsmola>
Component: ProvidersAssignee: Ladislav Smola <lsmola>
Status: CLOSED CURRENTRELEASE QA Contact: Matouš Mojžíš <mmojzis>
Severity: medium Docs Contact:
Priority: medium    
Version: 5.9.0CC: agrare, cpelland, gblomqui, jfrey, jhardy, mmojzis, obarenbo
Target Milestone: GAKeywords: TestOnly
Target Release: 5.10.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: ui:network:ec2
Fixed In Version: 5.10.0.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1519467 (view as bug list) Environment:
Last Closed: 2018-06-21 21:18:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: AWS Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1519467    

Description Ladislav Smola 2017-11-29 13:15:19 UTC
Description of problem:

For AWS provider. UI shows all VPCs as inactive under Cloud Networks

Version-Release number of selected component (if applicable):

5.9

How reproducible:

Always

Steps to Reproduce:
1. Refresh AWS provider
2. Under Networks -> Networks, all VPCs (AWS) show as inactive

Actual results:

Available VPCs are being shown as inactive networks

Expected results:

Available VPCs should show as active networks

Additional info:

Comment 3 CFME Bot 2017-11-30 14:44:41 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/master:
https://github.com/ManageIQ/manageiq-providers-amazon/commit/7b1a7226dea0566fd17d3b06271782e213bf4969

commit 7b1a7226dea0566fd17d3b06271782e213bf4969
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Wed Nov 29 15:53:09 2017 +0100
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Wed Nov 29 15:57:53 2017 +0100

    Correct status for network
    
    Correct status for network, we were comparing with wrong value
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1518687

 .../manageiq/providers/amazon/inventory/parser/network_manager.rb       | 2 +-
 app/models/manageiq/providers/amazon/network_manager/refresh_parser.rb  | 2 +-
 spec/models/manageiq/providers/amazon/aws_refresher_spec_common.rb      | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)